# Vortex Engine

Vortex Engine is a game engine package built with Ursina, designed to enable developers to create on-chain games. The engine supports both 2D and 3D game development and is currently integrated with the Aptos blockchain, with future updates planned to extend support to the Polygon chain. It offers seamless blockchain integration, making it easier for developers to implement features like transaction history retrieval within their games.

## Features

- **2D and 3D Game Development:** Supports both 2D and 3D games using the Ursina engine.
- **Blockchain Integration:** Built-in support for the Aptos blockchain, with ongoing development for Polygon support.
- **On-Chain Transactions:** Easily retrieve and view transaction history within the game environment.
- **Open-Source:** The engine is open-source, allowing developers to contribute and extend its capabilities.

## Installation

To install the Vortex Engine, use pip:

```bash
pip install vortex-engine


For detailed documentation and advanced usage, please refer to the official documentation.
https://manis-organization-2.gitbook.io/vortexdocs

Requirements
Python 3.6+
Ursina
Requests
Contributing
Contributions are welcome! Please fork the repository and submit a pull request to contribute.

License
Vortex Engine is licensed under the MIT License. See the LICENSE file for more details.

Contact
For any inquiries or support, please reach out to the project maintainer at manicdon7@gmail.com.